clang-tools 8.0.0

Namespaces | Functions
DurationFactoryScaleCheck.cpp File Reference
`#include "DurationFactoryScaleCheck.h"`
`#include "DurationRewriter.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Tooling/FixIt.h"`
Include dependency graph for DurationFactoryScaleCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::abseil

## Functions
static llvm::Optional< DurationScale > | clang::tidy::abseil::getScaleForFactory (llvm::StringRef FactoryName)
static double | clang::tidy::abseil::GetValue (const IntegerLiteral *IntLit, const FloatingLiteral *FloatLit)
static llvm::Optional< std::tuple< DurationScale, double > > | clang::tidy::abseil::GetNewScaleSingleStep (DurationScale OldScale, double Multiplier)
static llvm::Optional< DurationScale > | clang::tidy::abseil::GetNewScale (DurationScale OldScale, double Multiplier)